	.psect	.prog.
save:
	jsr	r0,__csav
	sub	$4,sp
	.psect	.strn.
.3:
	.byte	143
	.byte	150
	.byte	145
	.byte	163
	.byte	163
	.byte	56
	.byte	157
	.byte	165
	.byte	164
	.byte	0
	.psect	.prog.
	.psect	.strn.
.4:
	.byte	167
	.byte	165
	.byte	0
	.psect	.prog.
	mov	$.4,(sp)
	mov	$.3,-(sp)
	jsr	pc,fopen
	tst	(sp)+
	mov	r0,-4(r5)
	bne	.2
	.psect	.strn.
.5:
	.byte	143
	.byte	141
	.byte	156
	.byte	156
	.byte	157
	.byte	164
	.byte	40
	.byte	143
	.byte	162
	.byte	145
	.byte	141
	.byte	164
	.byte	145
	.byte	40
	.byte	146
	.byte	151
	.byte	154
	.byte	145
	.byte	12
	.byte	0
	.psect	.prog.
	mov	$.5,(sp)
	jsr	pc,printf
	br	.1
.2:
	mov	-4(r5),(sp)
	mov	$4,-(sp)
	mov	$clktim,-(sp)
	jsr	pc,fput
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$bookp,-(sp)
	jsr	pc,fput
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$moveno,-(sp)
	jsr	pc,fput
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$game,-(sp)
	jsr	pc,fput
	cmp	(sp)+,(sp)+
	mov	$2,-(sp)
	mov	amp,-(sp)
	sub	$ambuf,(sp)
	.globl	div_i
	jsr	pc,div_i
	cmp	(sp)+,(sp)+
	mov	r0,-2(r5)
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	r5,-(sp)
	add	$177776,(sp)
	jsr	pc,fput
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$mantom,-(sp)
	jsr	pc,fput
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$value,-(sp)
	jsr	pc,fput
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$ivalue,-(sp)
	jsr	pc,fput
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$depth,-(sp)
	jsr	pc,fput
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$flag,-(sp)
	jsr	pc,fput
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$eppos,-(sp)
	jsr	pc,fput
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$bkpos,-(sp)
	jsr	pc,fput
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$wkpos,-(sp)
	jsr	pc,fput
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$200,-(sp)
	mov	$board,-(sp)
	jsr	pc,fput
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	-2(r5),r0
	asl	r0
	mov	r0,-(sp)
	mov	$ambuf,-(sp)
	jsr	pc,fput
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	jsr	pc,fclose
.1:
	jmp	__cret
restore:
	jsr	r0,__csav
	sub	$4,sp
	.psect	.strn.
.10:
	.byte	143
	.byte	150
	.byte	145
	.byte	163
	.byte	163
	.byte	56
	.byte	157
	.byte	165
	.byte	164
	.byte	0
	.psect	.prog.
	.psect	.strn.
.11:
	.byte	162
	.byte	165
	.byte	0
	.psect	.prog.
	mov	$.11,(sp)
	mov	$.10,-(sp)
	jsr	pc,fopen
	tst	(sp)+
	mov	r0,-4(r5)
	bne	.7
	.psect	.strn.
.12:
	.byte	143
	.byte	141
	.byte	156
	.byte	156
	.byte	157
	.byte	164
	.byte	40
	.byte	157
	.byte	160
	.byte	145
	.byte	156
	.byte	40
	.byte	146
	.byte	151
	.byte	154
	.byte	145
	.byte	12
	.byte	0
	.psect	.prog.
	mov	$.12,(sp)
	jsr	pc,printf
	br	.6
.7:
	mov	-4(r5),(sp)
	mov	$4,-(sp)
	mov	$clktim,-(sp)
	jsr	pc,fget
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$bookp,-(sp)
	jsr	pc,fget
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$moveno,-(sp)
	jsr	pc,fget
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$game,-(sp)
	jsr	pc,fget
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	r5,-(sp)
	add	$177776,(sp)
	jsr	pc,fget
	cmp	(sp)+,(sp)+
	mov	-2(r5),r0
	asl	r0
	add	$ambuf,r0
	mov	r0,amp
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$mantom,-(sp)
	jsr	pc,fget
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$value,-(sp)
	jsr	pc,fget
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$ivalue,-(sp)
	jsr	pc,fget
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$depth,-(sp)
	jsr	pc,fget
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$flag,-(sp)
	jsr	pc,fget
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$eppos,-(sp)
	jsr	pc,fget
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$bkpos,-(sp)
	jsr	pc,fget
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$2,-(sp)
	mov	$wkpos,-(sp)
	jsr	pc,fget
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	$200,-(sp)
	mov	$board,-(sp)
	jsr	pc,fget
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	mov	-2(r5),r0
	asl	r0
	mov	r0,-(sp)
	mov	$ambuf,-(sp)
	jsr	pc,fget
	cmp	(sp)+,(sp)+
	mov	-4(r5),(sp)
	jsr	pc,fclose
.6:
	jmp	__cret
	.globl	fget
	.globl	restore
	.globl	fclose
	.globl	fput
	.globl	printf
	.globl	fopen
	.globl	save
	.globl	sbuf
	.globl	ambuf
	.globl	lmbuf
	.globl	board
	.globl	dir
	.globl	ipval
	.globl	pval
	.globl	edge
	.globl	column
	.globl	wkpos
	.globl	bkpos
	.globl	eppos
	.globl	flag
	.globl	depth
	.globl	mfmt
	.globl	ivalue
	.globl	value
	.globl	ply
	.globl	mantom
	.globl	lastmov
	.globl	sbufp
	.globl	amp
	.globl	lmp
	.globl	abmove
	.globl	game
	.globl	gval
	.globl	moveno
	.globl	intrp
	.globl	matflg
	.globl	manflg
	.globl	bookp
	.globl	bookf
	.globl	mdepth
	.globl	qdepth
	.globl	testf
	.globl	clktim
	.globl	control
	.globl	bheur
	.globl	wheur
	.globl	center
	.globl	attacv
	.globl	__csav
	.globl	__cret
	.psect	.prog.
	.even
	.psect	.data.
	.even
	.psect	.mwcn.
	.even
	.psect	.prof.
	.even
